<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>{% block title %}Welcome!{% endblock %}</title>
        {% block stylesheets %}{% endblock %}
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css" integrity="sha384-GJzZqFGwb1QTTN6wy59ffF1BuGJpLSa9DkKMp0DgiMDm4iYMj70gZWKYbI706tWS" crossorigin="anonymous">
    </head>
    <body>
    <!--
        ============================================
        ============================================
        NAVABAR WITH BOOTSTRAP 4.2.1
        ============================================
        ============================================
    -->
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <a class="navbar-brand" href="#">PROJECT</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav">
                <li class="nav-item active">
                    <a class="nav-link" href="/">Home <span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="/video">Add Video</a>
                </li>
                {% if is_granted( 'IS_AUTHENTICATED_FULLY') %}
                {% else %}
                <li class="nav-item">
                    <a class="nav-link" href="/register">Register</a>
                </li>
                {% endif %}
                <!--
                ==========================================================
                ==========================================================
                CONDITION FOR DISPLAY BUTTON ON MENU IF ROLE == ADMIN || USER
                ==========================================================
                ==========================================================
                -->

                {% if is_granted( 'ROLE_USER') %}
                    <li class="nav-item">
                        <a class="nav-link" href="/profile">Profil</a>
                    </li>
                    </ul>
                    </div>
                    <span style="text-align:right;">
                        <button type="button" class="btn btn-danger"><a style="color:black" href="/logout"><b>Logout</b></a></button>
                    </span>
                {% elseif is_granted( 'ROLE_ADMIN') %}
                    <li class="nav-item">
                        <a class="nav-link" href="/admin">Admin</a>
                    </li>
                    </ul>
                    </div>
                    <span style="text-align:right;">
                        <button type="button" class="btn btn-danger"><a style="color:black" href="/logout"><b>Logout</b></a></button>
                    </span>
                {% else %}
                    <li class="nav-item">
                        <a class="nav-link" href="/login">Login</a>
                    </li>
                    </ul>
                    </div>
                {% endif %}

        <!--
                ============================================
                ============================================
                ADD ON MENU IF ROLE ==> ADMIN
                ============================================
                ============================================
            -->

    </nav>
    {% if is_granted( 'ROLE_ADMIN') %}
        <h1 style="text-align:center;border:solid 1px black ">Admin Account</h1>
        <div class="vertical-menu">
        <a href="/admin" class="active">List User</a>
        <a href="/admin/all_categorie">List Categorie</a>
        <a href="/admin/all_video">List Video</a>
        </div>
    {% endif %}
    {% for label, messages in app.flashes %}
        {% for message in messages %}
            <div class="flash-{{ label }}">
                <div class="alert alert-primary" role="alert">
                {{ message }}
                </div>
            </div>
        {% endfor %}
    {% endfor %}


    </body>


    <!--
        ============================================
        ============================================
        STYLE CSS FOR HOME PAGE CARD TEMPLATE FOR VIDEO
        ============================================
        ============================================
    -->

    <style>
        .vertical-menu {
            width: 200px;
        }
        .vertical-menu a {
            background-color: black;
            color: white;
            display: block;
            padding: 12px;
            text-decoration: none;
        }
        .vertical-menu a:hover {
            background-color: #ccc;
        }

        .vertical-menu a.active {
            background-color: Grey;
            color: white;
        }

        @import url("https://fonts.googleapis.com/css?family=Palanquin:300,400,500,600");
        a {
            text-decoration: none;
            color: #46b6d6;
            transition: color 0.3s ease-in-out;
        }
        a:hover {
            color: #268caa;
        }
        a:focus, a:active {
            color: #1c6a80;
        }
        .card {
            width: 100%;
            background-color: #fff;
            box-shadow: 0px 5px 20px 0px rgba(0, 0, 0, 0.2);
            margin-bottom:50px;
        }
        @media (min-width: 480px) {
            .card {
                width: 90%;
                max-width: 760px;
            }
        }
        .card__sharing {
            display: flex;
            flex-direction: row;
            justify-content: space-between;
        }
        .card__social {
            display: flex;
        }
        .card__social-icon {
            font-size: 1.3rem;
        }
        .card__info {
            max-width: 500px;
        }
        @media (min-width: 768px) {
            .card__info {
                padding: 4% 10%;
                height:300px;
            }
        }
        .card__author {
            font-weight: 300;
            font-size: 1.05rem;
        }
        .card__title {
            font-size: 1.3rem;
            font-weight: 500;
        }
        .card__description {
            font-weight: 300;
            line-height: 1.4;
            color: #828282;
        }
        .card__timestamp {
            display: flex;
            color: #828282;
            align-items: center;
            font-size: 1rem;
            line-height: 1;
            color: #d2d1d1;
            letter-spacing: 1px;
        }
        .card__timestamp-icon {
            font-size: 1.3em;
            line-height: 1;
        }

        .video {
            width: 100%;
        }
        .video__container {
            position: relative;
            width: 100%;
            height: 0;
            padding-top: 56.25%;
        }
        .video__placeholder {
            position: absolute;
            z-index: -1;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
        }
        .video__embed {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
        }
        /**
        STYLE FOR ALL FORM LAYOUT
         */
        .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
        .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }

    </style>
        {% block body %}{% endblock %}
        {% block javascripts %}{% endblock %}

</html>
